Package org.springframework.aop.config

# Class PointcutEntry

java.lang.Object
org.springframework.aop.config.PointcutEntry

All Implemented Interfaces:
  `org.springframework.beans.factory.parsing.ParseState.Entry`

public class PointcutEntry extends Object implements org.springframework.beans.factory.parsing.ParseState.Entry
`ParseState` entry representing a pointcut.

Since:
  2.0
Author:
  Mark Fisher

## Constructor Summary

Constructors
Constructor
Description
`PointcutEntry(String name)`
Create a new `PointcutEntry` instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PointcutEntry

public PointcutEntry(String name)
Create a new `PointcutEntry` instance.

Parameters:
  `name` - the bean name of the pointcut

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`